# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-11 19:52
from __future__ import unicode_literals

from django.db import migrations

from ..hashers import PBKDF2WrappedSHA1PasswordHasher


def forwards_func(apps, schema_editor):
    User = apps.get_model('account', 'User')
    users = User.objects.filter(password__startswith='sha1$')
    hasher = PBKDF2WrappedSHA1PasswordHasher()
    for user in users:
        algorithm, salt, sha1_hash = user.password.split('$', 2)
        user.password = hasher.encode_sha1_hash(sha1_hash, salt)
        user.save(update_fields=['password'])


class Migration(migrations.Migration):

    dependencies = [
        ('account', '0009_auto_20170912_1041'),
    ]

    operations = [
        migrations.RunPython(forwards_func),
    ]
