# -*- coding: utf-8 -*-
# Generated by Django 1.11.15 on 2018-08-07 13:20
from __future__ import unicode_literals

from django.db import migrations


def set_original_fk(apps, schema_editor):
    Document = apps.get_model('document', 'Document')
    Attachment = apps.get_model('foirequest', 'FoiAttachment')

    for att in Attachment.objects.filter(document__isnull=False):
        Document.objects.filter(id=att.document_id).update(original_id=att.id)


class Migration(migrations.Migration):

    dependencies = [
        ('foirequest', '0019_foiattachment_document'),
        ('document', '0009_document_original'),
    ]

    operations = [
        migrations.RunPython(set_original_fk),
    ]
