# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-12-25 05:31
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        ('publicbody', '0008_auto_20171224_0819'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategorizedPublicBody',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicbody.PublicBody')),
            ],
            options={
                'verbose_name': 'Categorized Public Body',
                'verbose_name_plural': 'Categorized Public Bodies',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Name')),
                ('slug', models.SlugField(max_length=100, unique=True, verbose_name='Slug')),
                ('is_topic', models.BooleanField(default=False, verbose_name='as topic')),
                ('path', models.CharField(max_length=255, unique=True)),
                ('depth', models.PositiveIntegerField()),
                ('numchild', models.PositiveIntegerField(default=0)),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.AddField(
            model_name='categorizedpublicbody',
            name='tag',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='publicbodies', to='publicbody.Category'),
        ),
        migrations.AddField(
            model_name='publicbody',
            name='categories',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='publicbody.CategorizedPublicBody', to='publicbody.Category', verbose_name='Tags'),
        ),
    ]
